Subject: RE: SNMP/MIB v.s. COPS/PIB

From: "Harrington, David" <[email-masked]>
Date: Wed, 23 Oct 2002 11:38:31 -0400

Hi Lihua,

Don't feel bad; everybody's confused about how configuration management fits
into the overall network management picture.

Some people believe SNMP and MIBs can provide sufficient capabilities to do
IP-based configuration. The SnmpConf WG has developed a solution using SNMP.

Some people believe a special-purpose protocol and special-purpose templates
are needed to meet the requirements. The RAP WG has developed a solution
using COPS/PR and PIBs.

Some people believe either approach could work, but each has advantages and
disadvantages. 

RFC3139 describes the requirements of IP-based configuration that drove the
designs used by these two working groups.

Some people believe neither approach really meets the needs of operators for
doing IP-based configuration, and the requirements used are wrong. There are
a number of efforts underway to better understand the requirements of
configuration. An internet draft was written describing the conclusions
reached during a "world tour" to determine operator requirements for
configuration (now expired), and the IAB held a workshop during the summer
to discuss this issue (see draft-iab-nm-workshop-00).

There are no definitive answers as to the correct approach. 

dbh
---
David Harrington            
[email-masked]           
co-chair, IETF SNMPv3 WG

> -----Original Message-----
> From: Yuan Lihua [mailto:[email-masked]]
> Sent: Wednesday, October 23, 2002 8:39 AM
> To: [email-masked]
> Subject: SNMP/MIB v.s. COPS/PIB
> 
> 
> Hi, 
> 
>     I am trying to understand the differences between using SNMP/MIB
>     for general network management and using COPS/PIB for QoS
>     provisioning.  After reading through the RFCs and drafts, I am
>     just getting more and more confused.  My question is "Isn't QoS
>     provisioning is a case of network management?"  Some Cisco router
>     does even have a QoS MIB, so why can't one use SNMP to manage a
>     network device and therefore provide admission control?
> 
>     Thanks and best regards
>     
> Lihua
> 
> -- 
> The man who finds his homeland sweet is still a tender beginner;
> he to whom every soil is as his native one is already strong;
> 
> but he is perfect to whom the entire world is as a foreign land.
>